dnl Copyright (C) 1999-2005 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN([OST_WIN32],
[
	AC_CACHE_CHECK(for Win32 gnu environment, ost_cv_gnuwin32,
	[
	AC_TRY_COMPILE([
		#ifdef	__WIN32__
		#ifdef __MINGW32__
		#define	__RETURN_WIN32__ __MINGW32__
		#endif
		#ifdef __CYGWIN32__
		#define __RETURN_WIN32__ __CYGWIN32__
		#endif
		#endif
	],[return __RETURN_WIN32__;],
	[ost_cv_gnuwin32=yes],[
	ost_cv_gnuwin32=no])
	rm -f conftest*
	])
	if test "$ost_cv_gnuwin32" = "no" ; then
		AC_CHECK_HEADERS(unistd.h)
		AC_CHECK_HEADERS(fcntl.h)
		AC_CHECK_HEADERS(strings.h)
	fi
])

AC_DEFUN([OST_LIB_VERSION],[
        LT_MAJOR="`echo $LT_VERSION | sed s/:.*$//`"
        AC_SUBST(LT_RELEASE)
        AC_SUBST(LT_MAJOR) ])

AC_DEFUN([AC_SUBST_DIR], [
        ifelse($2,,,$1="[$]$2")
        result="***"
        prior="A"
        while test "$prior" != "$result" ; do      
                prior=`(echo "[$]$1")`
                $1=`(
                test "x$prefix" = xNONE && prefix="$ac_default_prefix"
                test "x$exec_prefix" = xNONE && exec_prefix="${prefix}"
                eval echo \""[$]$1"\"
                )`
                result=`(echo "[$]$1")`
        done
        AC_SUBST($1)
])
 
dnl ACCONFIG TEMPLATE
dnl #undef HAVE_UNISTD_H
dnl #undef HAVE_FCNTL_H
dnl #undef HAVE_STRINGS_H
dnl END ACCONFIG

dnl ACCONFIG BOTTOM
dnl 
dnl #ifdef HAVE_UNISTD_H
dnl #include <unistd.h>
dnl #ifndef __UNIX__
dnl #define __UNIX__
dnl #endif
dnl #endif
dnl 
dnl #ifdef HAVE_STRINGS_H
dnl #include <strings.h>
dnl #endif
dnl 
dnl #ifdef HAVE_FCNTL_H
dnl #include <fcntl.h>
dnl #endif
dnl 
dnl #if defined(__sun) || defined(__SUN__)
dnl #define __EXTENSIONS__
dnl #endif
dnl 
dnl #if defined(__WIN32__) || defined(__MINGW32__) || defined(__CYGWIN32__)
dnl #ifndef __WIN32__
dnl #define __WIN32__
dnl #endif
dnl #include <windows.h>
dnl #if defined(__MINGW32__) || defined(__CYGWIN32__)
dnl #define __EXPORT
dnl #else
dnl #define __EXPORT __declspec(dllexport)
dnl #endif
dnl #else
dnl #define __EXPORT
dnl #endif
dnl 
dnl END ACCONFIG

